const api = require('../../../api/api.js');
const util = require("../../../utils/util");
var app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    img: '',
    myqr_blur: 0, //背景模糊值
    myqr_show: true,
    authImg: 'https://7a68-zhaijieshi-3guecm78383ca692-1307626841.tcb.qcloud.la/wx/qw/sq.png',
    authBtn: 'https://7a68-zhaijieshi-3guecm78383ca692-1307626841.tcb.qcloud.la/wx/qw/sq-btn.png',
    code: "", 
  }, 
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let that = this;
    util.request(api.CPQrCode, {
      channel: (options.channel=='hm'?'盒马':'私域'),
      bookSn:options.id
    }).then(function (res) {
      if (res.errno == 0) {
        that.setData({
          img: res.data
        })
      } else {
        util.showErrorToast(res.errmsg);
      }
    }).catch(res => {
      console.info(res)
      util.showErrorToast(res.errMsg);
    })
  },
  showMyQr() {
    this.setData({
      myqr_blur: 8,
      myqr_show: true
    });
  },
  goCloseMyqr: function () { //关闭分享图片的弹层 
    this.setData({
      myqr_blur: 0,
      myqr_show: false
    });
  },
  qrtouchstart: function () {
    this.setData({
      myqr_blur: 0,
      myqr_show: false
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    wx.hideHomeButton(); 
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})